org.keycloak.protocol.oidc.grants.device

## Class DeviceGrantType

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.device.DeviceGrantType

-     public class DeviceGrantType
      extends Object

  Author:
    Hiroyuki Wada, Michito Okai

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OAUTH2_DEVICE_USER_CODE`
    `static String` | `OAUTH2_DEVICE_VERIFIED_USER_CODE`
    `static String` | `OAUTH2_USER_CODE_VERIFY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceGrantType(javax.ws.rs.core.MultivaluedMap<String,String> formParams, ClientModel client, KeycloakSession session, TokenEndpoint tokenEndpoint, RealmModel realm, EventBuilder event, Cors cors)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.ws.rs.core.Response` | `approveOAuth2DeviceAuthorization(AuthenticationSessionModel authSession, AuthenticatedClientSessionModel clientSession, KeycloakSession session)`
    `static javax.ws.rs.core.Response` | `denyOAuth2DeviceAuthorization(AuthenticationSessionModel authSession, LoginProtocol.Error error, KeycloakSession session)`
    `static boolean` | `isOAuth2DeviceVerificationFlow(AuthenticationSessionModel authSession)`
    `static javax.ws.rs.core.UriBuilder` | `oauth2DeviceAuthUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `javax.ws.rs.core.Response` | `oauth2DeviceFlow()`
    `static javax.ws.rs.core.UriBuilder` | `oauth2DeviceVerificationCompletedUrl(javax.ws.rs.core.UriInfo baseUri)`
    `static javax.ws.rs.core.UriBuilder` | `oauth2DeviceVerificationUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `static URI` | `realmOAuth2DeviceVerificationAction(URI baseUri, String realmName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OAUTH2_DEVICE_VERIFIED_USER_CODE

          public static final String OAUTH2_DEVICE_VERIFIED_USER_CODE

      See Also:
        Constant Field Values

    - #### OAUTH2_DEVICE_USER_CODE

          public static final String OAUTH2_DEVICE_USER_CODE

      See Also:
        Constant Field Values

    - #### OAUTH2_USER_CODE_VERIFY

          public static final String OAUTH2_USER_CODE_VERIFY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeviceGrantType

          public DeviceGrantType(javax.ws.rs.core.MultivaluedMap<String,String> formParams,
                                 ClientModel client,
                                 KeycloakSession session,
                                 TokenEndpoint tokenEndpoint,
                                 RealmModel realm,
                                 EventBuilder event,
                                 Cors cors)

  - ### Method Detail

    - #### oauth2DeviceVerificationUrl

          public static javax.ws.rs.core.UriBuilder oauth2DeviceVerificationUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### realmOAuth2DeviceVerificationAction

          public static URI realmOAuth2DeviceVerificationAction(URI baseUri,
                                                                String realmName)

    - #### oauth2DeviceAuthUrl

          public static javax.ws.rs.core.UriBuilder oauth2DeviceAuthUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### oauth2DeviceVerificationCompletedUrl

          public static javax.ws.rs.core.UriBuilder oauth2DeviceVerificationCompletedUrl(javax.ws.rs.core.UriInfo baseUri)

    - #### denyOAuth2DeviceAuthorization

          public static javax.ws.rs.core.Response denyOAuth2DeviceAuthorization(AuthenticationSessionModel authSession,
                                                                                LoginProtocol.Error error,
                                                                                KeycloakSession session)

    - #### approveOAuth2DeviceAuthorization

          public static javax.ws.rs.core.Response approveOAuth2DeviceAuthorization(AuthenticationSessionModel authSession,
                                                                                   AuthenticatedClientSessionModel clientSession,
                                                                                   KeycloakSession session)

    - #### isOAuth2DeviceVerificationFlow

          public static boolean isOAuth2DeviceVerificationFlow(AuthenticationSessionModel authSession)

    - #### oauth2DeviceFlow

          public javax.ws.rs.core.Response oauth2DeviceFlow()

Copyright © 2021 JBoss by Red Hat. All rights reserved.